Method: brands.agents.integrations.patch

  • Only specify the "dialogflowEsIntegration.dialogflow_knowledge_bases" flag when adding a DialogflowDocument.

  • Use a PATCH HTTP request to update an integration.

  • The URL for updating an integration follows gRPC Transcoding syntax.

  • The updateMask query parameter is required and uses FieldMask format to specify fields to update.

  • The request and response bodies contain an instance of Integration.

Update an integration.

For adding a DialogflowDocument, only the "dialogflowEsIntegration.dialogflow_knowledge_bases" flag should be specified. Adding a document should be an isolated update.

HTTP request

PATCH https://businesscommunications.googleapis.com/v1/{integration.name=brands/*/agents/*/integrations/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
integration.name

string

Output only. The unique identifier of the integration. Read-only. Defined by the platform.

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Integration.

Response body

If successful, the response body contains an instance of Integration.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/businesscommunications

For more information, see the OAuth 2.0 Overview.